WebApp.HTTP (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.webapp, class: WebApp, enum: HTTP

Package org.apache.hadoop.yarn.webapp

# Enum Class WebApp.HTTP

java.lang.Object
java.lang.Enum<WebApp.HTTP>
org.apache.hadoop.yarn.webapp.WebApp.HTTP

All Implemented Interfaces:
  `Serializable`, `Comparable<WebApp.HTTP>`, `Constable`

Enclosing class:
  WebApp

public static enum WebApp.HTTP extends Enum<WebApp.HTTP>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DELETE`
  `GET`
  `HEAD`
  `POST`
  `PUT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WebApp.HTTP`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static WebApp.HTTP[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GET

    public static final WebApp.HTTP GET

  - ### POST

    public static final WebApp.HTTP POST

  - ### HEAD

    public static final WebApp.HTTP HEAD

  - ### PUT

    public static final WebApp.HTTP PUT

  - ### DELETE

    public static final WebApp.HTTP DELETE

- ## Method Details

  - ### values

    public static WebApp.HTTP[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static WebApp.HTTP valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null